<?php

namespace FSPoster\App\Watermark\App;

use FSPoster\App\Providers\Core\Route;

class Bootstrap
{
    public static function init(): void
    {
        Route::get('settings/watermark', [ Controller::class, 'getWatermarkSettings' ]);
        Route::post('settings/watermark', [ Controller::class, 'saveWatermarkSettings' ]);
        Route::delete('settings/watermark', [ Controller::class, 'deleteWatermarkRule' ]);

        Route::get('watermark/usage', [ Controller::class, 'getWatermarkUsage' ]);

        add_filter( 'fsp_schedule_media_list_to_upload', [Listener::class, 'applyWatermark'], 10, 2 );
    }
}
